Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.gui.inventory
Class GuiInventory

    java.lang.Object
      net.minecraft.client.gui.Gui
          net.minecraft.client.gui.GuiScreen
              net.minecraft.client.gui.inventory.GuiContainer
                  net.minecraft.client.renderer.InventoryEffectRenderer
                      net.minecraft.client.gui.inventory.GuiInventory

    public class GuiInventory

extends InventoryEffectRenderer

Field Summary

Fields inherited from class net.minecraft.client.gui.inventory.GuiContainer
`inventorySlots`

Fields inherited from class net.minecraft.client.gui.GuiScreen
`allowUserInput, field_90017_e, guiParticles, height, width`

Constructor Summary
`GuiInventory(EntityPlayer par1EntityPlayer)`

Method Summary
`void` | `drawScreen(int par1, int par2, float par3)` Draws the screen and all the components in it.
`static void` | `func_74223_a(Minecraft par0Minecraft, int par1, int par2, int par3, float par4, float par5)`
`void` | `initGui()` Adds the buttons (and other controls) to the screen in question.
`void` | `updateScreen()` Called from the main game loop to update the screen.

Methods inherited from class net.minecraft.client.gui.inventory.GuiContainer
`doesGuiPauseGame, onGuiClosed`

Methods inherited from class net.minecraft.client.gui.GuiScreen
`confirmClicked, drawBackground, drawDefaultBackground, drawWorldBackground, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, setClipboardString, setWorldAndResolution`

Methods inherited from class net.minecraft.client.gui.Gui
`drawCenteredString, drawRect, drawString, drawTexturedModalRect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiInventory

    public GuiInventory(EntityPlayer par1EntityPlayer)

Method Detail

### updateScreen

    public void updateScreen()

  Called from the main game loop to update the screen.

  Overrides:
    `updateScreen` in class `GuiContainer`

### initGui

    public void initGui()

  Adds the buttons (and other controls) to the screen in question.

  Overrides:
    `initGui` in class `InventoryEffectRenderer`

### drawScreen

    public void drawScreen(int par1,
                           int par2,
                           float par3)

  Draws the screen and all the components in it.

  Overrides:
    `drawScreen` in class `InventoryEffectRenderer`

### func_74223_a

    public static void func_74223_a(Minecraft par0Minecraft,
                                    int par1,
                                    int par2,
                                    int par3,
                                    float par4,
                                    float par5)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD